Subject: bug#46837: Makefile dependencies for info files

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Mar 2021 09:31:44 +0200

> From: Glenn Morris <[email-masked]>
> Date: Thu, 04 Mar 2021 23:45:26 -0500
> 
> Glenn Morris wrote:
> 
> >> 1) Catering for systems without makeinfo - I would suggest dropping this.
> >
> > By which I meant, remove configure --without-makeinfo and special-casing
> > HAVE_MAKEINFO=no in the Makefile, thus removing the need for the
> > "info-real" target.
> >
> > configure not finding makeinfo would continue to be non-fatal if
> > info/emacs.info exists, to cater for release tarfiles where info files
> > are pre-built.

So the poor souls who don't have makeinfo could "touch info/emacs.info"
and have the build continue instead of failing?  If this works, I
think it's a fine solution.  It would be even better if the advice to
"touch info/emacs.info" would be included in the error message printed
when we find no makeinfo.

Thanks.